Bug 995438 - Review Request: tyrus - JSR 356: Java API for WebSocket - Reference Implementation
Review Request: tyrus - JSR 356: Java API for WebSocket - Reference Implement...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: marcindulak
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-09 07:23 EDT by gil cattaneo
Modified: 2015-11-21 21:23 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-21 21:23:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Marcin.Dulak: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2013-08-09 07:23:59 EDT
Spec URL: http://gil.fedorapeople.org/tyrus.spec
SRPM URL: http://gil.fedorapeople.org/tyrus-1.2.1-1.fc19.src.rpm
Description:
Tyrus is the reference implementation of Java API for WebSocket (JSR-356)
Fedora Account System Username: gil
Comment 1 gil cattaneo 2015-08-30 15:20:47 EDT
Spec URL: https://gil.fedorapeople.org/tyrus.spec
SRPM URL: https://gil.fedorapeople.org/tyrus-1.11-1.fc22.src.rpm
Description:
Tyrus is the open source JSR 356 - Java API for WebSocket reference 
implementation for easy development of WebSocket applications.
WebSocket protocol defined by IETF provides bi-directional
communication between the server and the remote host. The pros
are mainly the ability to communicate both ways, low latency and
small communication overhead. Therefore Tyrus and WebSocket in
general are suitable for web applications that require sending a
huge volume of relatively small messages like online games or
market ticker broadcasting.

- update to 1.11
- use jboss apis
  default use:
  glassfish-ejb-api       - https://bugzilla.redhat.com/show_bug.cgi?id=995433
  glassfish-websocket-api - https://bugzilla.redhat.com/show_bug.cgi?id=995444

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=10889622
Comment 2 gil cattaneo 2015-10-21 23:34:25 EDT
Spec URL: https://gil.fedorapeople.org/tyrus.spec
SRPM URL: https://gil.fedorapeople.org/tyrus-1.12-1.fc22.src.rpm

- update to 1.12
Comment 3 Upstream Release Monitoring 2015-10-21 23:39:45 EDT
gil's scratch build of tyrus-1.12-1.fc22.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11537499
Comment 4 Upstream Release Monitoring 2015-10-21 23:49:02 EDT
gil's scratch build of tyrus-1.12-1.fc22.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11537505
Comment 6 marcindulak 2015-11-11 09:42:41 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (3 clause)", "Unknown or generated". 914 files have
     unknown license. Detailed output of licensecheck in
     /home/gil/995438-tyrus/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[!]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[?]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It
     is pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: If package contains pom.xml files install it (including metadata) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use .mfiles file list instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in tyrus-
     bom , tyrus-client , tyrus-client-cli , tyrus-client-java8 , tyrus-
     container-glassfish-cdi , tyrus-container-glassfish-ejb , tyrus-
     containers-glassfish-project , tyrus-container-grizzly-client , tyrus-
     container-grizzly-server , tyrus-container-inmemory , tyrus-container-
     jdk-client , tyrus-containers-project , tyrus-container-servlet ,
     tyrus-core , tyrus-extension-deflate , tyrus-extensions-project ,
     tyrus-monitoring-jmx , tyrus-project , tyrus-server , tyrus-spi ,
     tyrus-test-tools , tyrus-tests-project , tyrus-javadoc
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: tyrus-bom-1.12-1.fc24.noarch.rpm
          tyrus-client-1.12-1.fc24.noarch.rpm
          tyrus-client-cli-1.12-1.fc24.noarch.rpm
          tyrus-client-java8-1.12-1.fc24.noarch.rpm
          tyrus-container-glassfish-cdi-1.12-1.fc24.noarch.rpm
          tyrus-container-glassfish-ejb-1.12-1.fc24.noarch.rpm
          tyrus-containers-glassfish-project-1.12-1.fc24.noarch.rpm
          tyrus-container-grizzly-client-1.12-1.fc24.noarch.rpm
          tyrus-container-grizzly-server-1.12-1.fc24.noarch.rpm
          tyrus-container-inmemory-1.12-1.fc24.noarch.rpm
          tyrus-container-jdk-client-1.12-1.fc24.noarch.rpm
          tyrus-containers-project-1.12-1.fc24.noarch.rpm
          tyrus-container-servlet-1.12-1.fc24.noarch.rpm
          tyrus-core-1.12-1.fc24.noarch.rpm
          tyrus-extension-deflate-1.12-1.fc24.noarch.rpm
          tyrus-extensions-project-1.12-1.fc24.noarch.rpm
          tyrus-monitoring-jmx-1.12-1.fc24.noarch.rpm
          tyrus-project-1.12-1.fc24.noarch.rpm
          tyrus-server-1.12-1.fc24.noarch.rpm
          tyrus-spi-1.12-1.fc24.noarch.rpm
          tyrus-test-tools-1.12-1.fc24.noarch.rpm
          tyrus-tests-project-1.12-1.fc24.noarch.rpm
          tyrus-javadoc-1.12-1.fc24.noarch.rpm
          tyrus-1.12-1.fc24.src.rpm
tyrus-bom.noarch: W: no-documentation
tyrus-client.noarch: W: no-documentation
tyrus-client-cli.noarch: W: no-documentation
tyrus-client-java8.noarch: W: no-documentation
tyrus-container-glassfish-cdi.noarch: W: no-documentation
tyrus-container-glassfish-ejb.noarch: W: no-documentation
tyrus-containers-glassfish-project.noarch: W: no-documentation
tyrus-container-grizzly-client.noarch: W: no-documentation
tyrus-container-grizzly-server.noarch: W: no-documentation
tyrus-container-inmemory.noarch: W: no-documentation
tyrus-container-jdk-client.noarch: W: no-documentation
tyrus-containers-project.noarch: W: no-documentation
tyrus-container-servlet.noarch: W: no-documentation
tyrus-core.noarch: W: no-documentation
tyrus-extension-deflate.noarch: W: no-documentation
tyrus-extensions-project.noarch: W: no-documentation
tyrus-monitoring-jmx.noarch: W: no-documentation
tyrus-project.noarch: W: no-documentation
tyrus-server.noarch: W: no-documentation
tyrus-test-tools.noarch: W: no-documentation
tyrus-tests-project.noarch: W: no-documentation
24 packages and 0 specfiles checked; 0 errors, 21 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
tyrus-containers-glassfish-project.noarch: W: no-documentation
tyrus-server.noarch: W: no-documentation
tyrus-container-grizzly-client.noarch: W: no-documentation
tyrus-client-java8.noarch: W: no-documentation
tyrus-project.noarch: W: no-documentation
tyrus-test-tools.noarch: W: no-documentation
tyrus-core.noarch: W: no-documentation
tyrus-containers-project.noarch: W: no-documentation
tyrus-container-glassfish-ejb.noarch: W: no-documentation
tyrus-container-jdk-client.noarch: W: no-documentation
tyrus-tests-project.noarch: W: no-documentation
tyrus-container-inmemory.noarch: W: no-documentation
tyrus-client.noarch: W: no-documentation
tyrus-extensions-project.noarch: W: no-documentation
tyrus-monitoring-jmx.noarch: W: no-documentation
tyrus-extension-deflate.noarch: W: no-documentation
tyrus-bom.noarch: W: no-documentation
tyrus-client-cli.noarch: W: no-documentation
tyrus-container-glassfish-cdi.noarch: W: no-documentation
tyrus-container-servlet.noarch: W: no-documentation
tyrus-container-grizzly-server.noarch: W: no-documentation
23 packages and 0 specfiles checked; 0 errors, 21 warnings.



Requires
--------
tyrus-containers-glassfish-project (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(org.glassfish.tyrus:tyrus-containers-project:pom:)

tyrus-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils

tyrus-server (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(org.glassfish.tyrus:tyrus-client)
    mvn(org.glassfish.tyrus:tyrus-container-grizzly-client)
    mvn(org.jboss.spec.javax.websocket:jboss-websocket-api_1.1_spec)

tyrus-container-grizzly-client (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(org.glassfish.grizzly:grizzly-framework)
    mvn(org.glassfish.grizzly:grizzly-http-server)
    mvn(org.glassfish.tyrus:tyrus-client)

tyrus-client-java8 (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(org.glassfish.tyrus:tyrus-client)

tyrus-spi (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(org.jboss.spec.javax.websocket:jboss-websocket-api_1.1_spec)

tyrus-project (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(net.java:jvnet-parent:pom:)
    mvn(org.apache.maven.plugins:maven-compiler-plugin)
    mvn(org.apache.maven.plugins:maven-release-plugin)

tyrus-test-tools (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(junit:junit)
    mvn(org.glassfish.tyrus:tyrus-client)
    mvn(org.glassfish.tyrus:tyrus-container-grizzly-server)
    mvn(org.glassfish.tyrus:tyrus-container-servlet)
    mvn(org.glassfish.tyrus:tyrus-server)
    mvn(org.jboss.spec.javax.websocket:jboss-websocket-api_1.1_spec)

tyrus-core (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(org.glassfish.tyrus:tyrus-spi)

tyrus-containers-project (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(org.glassfish.tyrus:tyrus-project:pom:)

tyrus-container-glassfish-ejb (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(org.glassfish.tyrus:tyrus-core)
    mvn(org.jboss.spec.javax.ejb:jboss-ejb-api_3.2_spec)

tyrus-container-jdk-client (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(org.glassfish.tyrus:tyrus-client)

tyrus-tests-project (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(org.glassfish.tyrus:tyrus-project:pom:)

tyrus-container-inmemory (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(org.glassfish.tyrus:tyrus-client)
    mvn(org.glassfish.tyrus:tyrus-server)

tyrus-client (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(org.glassfish.tyrus:tyrus-core)

tyrus-extensions-project (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(org.glassfish.tyrus:tyrus-project:pom:)

tyrus-monitoring-jmx (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(org.glassfish.tyrus:tyrus-core)

tyrus-extension-deflate (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(org.glassfish.tyrus:tyrus-core)

tyrus-bom (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(net.java:jvnet-parent:pom:)

tyrus-client-cli (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(jline:jline)
    mvn(org.glassfish.tyrus:tyrus-client)
    mvn(org.glassfish.tyrus:tyrus-container-grizzly-client)

tyrus-container-glassfish-cdi (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(javax.enterprise:cdi-api)
    mvn(org.glassfish.tyrus:tyrus-core)

tyrus-container-servlet (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(org.glassfish.tyrus:tyrus-server)

tyrus-container-grizzly-server (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(org.glassfish.grizzly:grizzly-framework)
    mvn(org.glassfish.grizzly:grizzly-http-server)
    mvn(org.glassfish.tyrus:tyrus-container-grizzly-client)
    mvn(org.glassfish.tyrus:tyrus-server)



Provides
--------
tyrus-containers-glassfish-project:
    mvn(org.glassfish.tyrus:tyrus-containers-glassfish-project:pom:)
    tyrus-containers-glassfish-project

tyrus-javadoc:
    tyrus-javadoc

tyrus-server:
    mvn(org.glassfish.tyrus:tyrus-server)
    mvn(org.glassfish.tyrus:tyrus-server:pom:)
    osgi(org.glassfish.tyrus.server)
    tyrus-server

tyrus-container-grizzly-client:
    mvn(org.glassfish.tyrus:tyrus-container-grizzly-client)
    mvn(org.glassfish.tyrus:tyrus-container-grizzly-client:pom:)
    osgi(org.glassfish.tyrus.container-grizzly-client)
    tyrus-container-grizzly-client

tyrus-client-java8:
    mvn(org.glassfish.tyrus.ext:tyrus-client-java8)
    mvn(org.glassfish.tyrus.ext:tyrus-client-java8:pom:)
    osgi(org.glassfish.tyrus.ext.tyrus-client-java8)
    tyrus-client-java8

tyrus-spi:
    mvn(org.glassfish.tyrus:tyrus-spi)
    mvn(org.glassfish.tyrus:tyrus-spi:pom:)
    osgi(org.glassfish.tyrus.spi)
    tyrus-spi

tyrus-project:
    mvn(org.glassfish.tyrus:tyrus-project:pom:)
    tyrus-project

tyrus-test-tools:
    mvn(org.glassfish.tyrus.tests:tyrus-test-tools)
    mvn(org.glassfish.tyrus.tests:tyrus-test-tools:pom:)
    osgi(org.glassfish.tyrus.tests.tyrus-test-tools)
    tyrus-test-tools

tyrus-core:
    mvn(org.glassfish.tyrus:tyrus-core)
    mvn(org.glassfish.tyrus:tyrus-core:pom:)
    osgi(org.glassfish.tyrus.core)
    tyrus-core

tyrus-containers-project:
    mvn(org.glassfish.tyrus:tyrus-containers-project:pom:)
    tyrus-containers-project

tyrus-container-glassfish-ejb:
    mvn(org.glassfish.tyrus:tyrus-container-glassfish-ejb)
    mvn(org.glassfish.tyrus:tyrus-container-glassfish-ejb:pom:)
    osgi(org.glassfish.tyrus.container-glassfish-ejb)
    tyrus-container-glassfish-ejb

tyrus-container-jdk-client:
    mvn(org.glassfish.tyrus:tyrus-container-jdk-client)
    mvn(org.glassfish.tyrus:tyrus-container-jdk-client:pom:)
    osgi(org.glassfish.tyrus.container-jdk-client)
    tyrus-container-jdk-client

tyrus-tests-project:
    mvn(org.glassfish.tyrus.tests:tyrus-tests-project:pom:)
    tyrus-tests-project

tyrus-container-inmemory:
    mvn(org.glassfish.tyrus:tyrus-container-inmemory)
    mvn(org.glassfish.tyrus:tyrus-container-inmemory:pom:)
    osgi(org.glassfish.tyrus.container-inmemory)
    tyrus-container-inmemory

tyrus-client:
    mvn(org.glassfish.tyrus:tyrus-client)
    mvn(org.glassfish.tyrus:tyrus-client:pom:)
    osgi(org.glassfish.tyrus.client)
    tyrus-client

tyrus-extensions-project:
    mvn(org.glassfish.tyrus.ext:tyrus-extensions-project:pom:)
    tyrus-extensions-project

tyrus-monitoring-jmx:
    mvn(org.glassfish.tyrus.ext:tyrus-monitoring-jmx)
    mvn(org.glassfish.tyrus.ext:tyrus-monitoring-jmx:pom:)
    tyrus-monitoring-jmx

tyrus-extension-deflate:
    mvn(org.glassfish.tyrus.ext:tyrus-extension-deflate)
    mvn(org.glassfish.tyrus.ext:tyrus-extension-deflate:pom:)
    osgi(org.glassfish.tyrus.ext.tyrus-extension-deflate)
    tyrus-extension-deflate

tyrus-bom:
    mvn(org.glassfish.tyrus:tyrus-bom:pom:)
    tyrus-bom

tyrus-client-cli:
    mvn(org.glassfish.tyrus.ext:tyrus-client-cli)
    mvn(org.glassfish.tyrus.ext:tyrus-client-cli:pom:)
    osgi(org.glassfish.tyrus.ext.tyrus-client-cli)
    tyrus-client-cli

tyrus-container-glassfish-cdi:
    mvn(org.glassfish.tyrus:tyrus-container-glassfish-cdi)
    mvn(org.glassfish.tyrus:tyrus-container-glassfish-cdi:pom:)
    osgi(org.glassfish.tyrus.container-glassfish-cdi)
    tyrus-container-glassfish-cdi

tyrus-container-servlet:
    mvn(org.glassfish.tyrus:tyrus-container-servlet)
    mvn(org.glassfish.tyrus:tyrus-container-servlet:pom:)
    osgi(org.glassfish.tyrus.container-servlet)
    tyrus-container-servlet

tyrus-container-grizzly-server:
    mvn(org.glassfish.tyrus:tyrus-container-grizzly-server)
    mvn(org.glassfish.tyrus:tyrus-container-grizzly-server:pom:)
    osgi(org.glassfish.tyrus.container-grizzly-server)
    tyrus-container-grizzly-server



Source checksums
----------------
https://github.com/tyrus-project/tyrus/archive/1.12.tar.gz :
  CHECKSUM(SHA256) this package     : 30407073f55bde1268640965c9bf55f6b86304e817eb0d323d57099fa563f208
  CHECKSUM(SHA256) upstream package : 30407073f55bde1268640965c9bf55f6b86304e817eb0d323d57099fa563f208


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-i386 -b 995438
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 7 marcindulak 2015-11-11 09:50:50 EST
Issues:

1. there is a "BSD (3 clause)" file in the package
2. licensing breakdown is not documented in the spec
3. I didn't not find any bundled libraries, optimally please contact fedora packaging in order to have this confirmed by someone with more java packaging experience than me
4. please explain shortly the reasons for pom_disable_module and pom_remove_plugin in the spec
Comment 8 gil cattaneo 2015-11-11 11:35:18 EST
(In reply to marcindulak from comment #7)
> Issues:
> 
> 1. there is a "BSD (3 clause)" file in the package
Done
> 2. licensing breakdown is not documented in the spec
Done
> 3. I didn't not find any bundled libraries, optimally please contact fedora
> packaging in order to have this confirmed by someone with more java
> packaging experience than me
> 4. please explain shortly the reasons for pom_disable_module and
> pom_remove_plugin in the spec
Done

Spec URL: https://gil.fedorapeople.org/tyrus.spec
SRPM URL: https://gil.fedorapeople.org/tyrus-1.12-2.fc23.src.rpm
Comment 9 marcindulak 2015-11-12 06:28:56 EST
accepted
Comment 11 Gwyn Ciesla 2015-11-12 09:59:57 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/tyrus
Comment 12 Fedora Update System 2015-11-12 11:06:54 EST
tyrus-1.12-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-37ba0e669d
Comment 13 Fedora Update System 2015-11-13 00:29:18 EST
tyrus-1.12-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update tyrus'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-37ba0e669d
Comment 14 Fedora Update System 2015-11-21 21:23:52 EST
tyrus-1.12-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.